Bug Hunting Session
Bug 66893 - VIEWING: Bugs in Khmer (and probably other Asian languages) language.
Summary: VIEWING: Bugs in Khmer (and probably other Asian languages) language.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Font-Rendering Calc-Formula-Bar Languages
  Show dependency treegraph
 
Reported: 2013-07-14 12:11 UTC by Adam
Modified: 2019-06-09 11:30 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
screenshot of bug (57.34 KB, image/png)
2013-07-14 12:11 UTC, Adam
Details
ZIP with ODS example (created under LOv3341) and screenshots. (38.55 KB, application/zip)
2015-04-04 04:00 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam 2013-07-14 12:11:53 UTC
Created attachment 82405 [details]
screenshot of bug

Problem description:
First, Field Shadings are shown by default in every place where a zwsp is used. I have no idea why. I also don't know how to turn them off in Spreadsheet (Field shadings can be turned off in Writer via the View menu.). I don't think zwsp's should be considered field shadings.

Secondly, as the screenshot shows, when a cell with Khmer text is selected, nothing is displayed in the formula box where the cell contents should appear.

Steps to reproduce:
1. Input Khmer unicode text into a cell with a zero-width space.


Current behavior:
Zero-width spaces are shaded and nothing is displayed in the formula box.

Expected behavior:
Zero-width spaces should be invisible and the cell content should be visible (and correctly visible) in the formula box.

              
Operating System: Windows 8
Version: 4.0.4.2 release
Comment 1 Nathan Wells 2013-07-18 07:23:35 UTC
I also confirm this is a problem in Calc.  Users should be able to turn off field-shadings as they can in Writer.

But I actually think that zero-width spaces should be considered a field-shading because this allows the user to make them visible (especially valuable when you are editing a text for printing and need to make sure every zero-width space is correctly placed).  Please do not remove zero-width spaces from being categorized as a field shading.

I submit that the correction for this issue in Calc should be duplicating the current Writer behavior in the "View" menu under "Field Shadings"  (Ctrl+F8) and adding it to the Calc "View" menu.
Comment 2 Owen Genat (retired) 2013-07-26 14:46:07 UTC
I agree with Nathan in comment #1 about the behaviour. The Field Shading option should affect characters such as ZWSP (as it currently does in Writer) at least for the time being, for consistency sake. Ultimately there may need to be provided a separate option for special Unicode characters as the term "field" covers numerous elements. Any such new option should ideally be consistent across LO components. Having the option at present under the Text Document section would also appear to be problematic (in relation to Calc). 

My comment here on a related issue may be of interest: https://bugs.freedesktop.org/show_bug.cgi?id=66545#c3
Comment 3 QA Administrators 2015-04-01 14:40:16 UTC Comment hidden (obsolete)
Comment 4 Owen Genat (retired) 2015-04-04 04:00:39 UTC
Created attachment 114604 [details]
ZIP with ODS example (created under LOv3341) and screenshots.

Re-tested under GNU/Linux x86_64 using:
v3.3.4.1 OOO330m19 Build: 401
v3.4.6.2 OOO340m1 Build: 602
v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
v3.6.7.2 Build ID: e183d5b
v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
v4.2.8.2 Build ID: 48d50dbfc06349262c9d50868e5c1f630a573ebd
v4.3.5.2 Build ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5
v4.4.1.2 Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432

... in conjunction with the Khmer OS Battambang font:

http://www.cambodia.org/fonts/

In all cases the text in the Input line in Calc displays the cell contents, so this may be a Windows-only bug. There is however some variation in the display of what is shown in the Input line (refer attached screenshots).
Comment 5 tommy27 2016-04-16 07:22:51 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:22:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522